> For the complete documentation index, see [llms.txt](https://docs.blocksec.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blocksec.com/blocksec-anti-mev-rpc/bundle-api.md).

# Bundle API

Our Anti-MEV RPC on BSC supports the method `eth_sendBundle`to send multiple private transactions in a bundle.

{% hint style="success" %}
RPC Endpoint: <https://bsc.rpc.blocksec.com>
{% endhint %}

## eth\_sendBundle

<mark style="color:green;">`POST`</mark> `/`

Send private transactions in a bundle

### Request Parameters

<table><thead><tr><th width="167.0546875">Parameter</th><th>Mandatory</th><th>Format</th><th>Example</th><th>Description</th></tr></thead><tbody><tr><td>txs</td><td><strong>Mandatory</strong></td><td>array[hex]</td><td>["0x…35", "0x…4e"]</td><td>List of signed raw transactions.</td></tr><tr><td>maxBlockNumber</td><td>Optional</td><td>uint64</td><td>47793530</td><td>Maximum block number for the bundle's validity. Default is current block number + 100.</td></tr><tr><td>revertingTxHashes</td><td>Optional</td><td>array[hash]</td><td>["0x…2c", "0x…3d"]</td><td>List of transaction hashes allowed for revert.</td></tr></tbody></table>

### Request Example

```shell
curl https://bsc.rpc.blocksec.com \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{
         "jsonrpc": "2.0",
         "id": "1", 
         "method": "eth_sendBundle", 
         "params": {
            ...
          }
        }'     
```

One example of the detailed request.&#x20;

```json
{
  "jsonrpc": "2.0",
  "id": "1",
  "method": "eth_sendBundle",
  "params": [
    {
      "txs":["0x…3e", "0x…1f"],    // List of signed raw transactions
      "maxBlockNumber":47793594,   // The maximum block number for the bundle to be valid, with the default set to the current block number + 100
      "revertingTxHashes":[
        "07c956724f0fd00a9fb1ea71e111d87dc8dae099c914b8b4859f1e6e667d4ea8"
        ],                         // List of transaction hashes allowed for revert
    }
  ]
}
```

### Response Example

```json
{
 "jsonrpc":"2.0",
 "id":"1",
 "result":"0x1e5e……fbd1"  //bundle hash
}
```

```json
{
  "jsonrpc":"2.0",
  "id":"1",
  "error":{
    "code":-38000,
    "message":"the maxBlockNumber should not be smaller than currentBlockNum"
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blocksec.com/blocksec-anti-mev-rpc/bundle-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
